为了账号安全,请及时绑定邮箱和手机立即绑定

如何快速理解yii 1.1 框架

/ 猿问

如何快速理解yii 1.1 框架

Yii
动漫人物 2018-10-15 08:08:51

如何快速理解yii 1.1 框架


查看完整描述

1 回答

?
潇潇雨雨

Yii 2.0 需要 PHP 5.4 或更高版本,该版本相对于 Yii 1.1 所需求的 PHP 5.2 而言有巨大的改进。
1. 应用程序实例直接使用全局命名变量来访问:$app,而无须调用app()

2. Yii2在视图层的一个显著改变是引入了视图类,这样在MVC模式实现上更为完整。
相应的,相关展现层附属类就由新的视图类来接手管理,比如theme:
Yii::app()->theme->baseUrl 应该更新为 Yii::$app->view->theme->baseUrl,或者$this->theme->baseUrl。

3. Yii2引入了资源包的概念,资源引用的方式变化较大。
有两种方式引入资源,一种是通过assets目录下的AppAsset类,还有就是通过类似Yii1种的注册方法。
Yii::app()->getClientScript()方法不再可用,比如想要在页面中动态注册JS脚本文件,变动如下:
Yii::app()->getClientScript()->registerScriptFile('...') 修改为 Yii::$app->view->registerJsFile('...'),或者$this->registerJsFile('...')。

详尽的升级指南参阅Yii2中文指南“从Yii1升级部分”:

查看完整回答
反对 回复 2018-11-07

添加回答

回复

举报

0/150
提交
取消
意见反馈 帮助中心 APP下载
官方微信